omniORBpy : '4.2.5'
opencv : '3.2.0'
openmpi : '4.0.3'
- openturns: '1.22'
+ openturns: '1.23'
openVKL: '0.11.0'
ospray : '2.4.0'
packaging : '23.2'
{
__condition__ : "VARS.dist in ['CO7']"
'APPLICATION.rm_products' : ['gcc', 'gmp', 'mpc', 'mpfr']
- 'APPLICATION.products.openturns' : {tag:'1.22', base:'no', section:'version_1_22_CO7'}
+ 'APPLICATION.products.openturns' : {tag:'1.23', base:'no', section:'version_1_23_CO7'}
}
{
__condition__ : "VARS.dist in ['CO8']"
'APPLICATION.rm_products' : ['gcc', 'gmp', 'mpc', 'mpfr', 'zeromq']
'APPLICATION.products.gdal' : {tag:'2.4.0', base: 'no', section: 'version_2_4_0_CO8' } # spns #29324
- 'APPLICATION.products.openturns' : {tag:'1.22', base:'no', section:'version_1_22_CO8'}
+ 'APPLICATION.products.openturns' : {tag:'1.23', base:'no', section:'version_1_23_CO8'}
'APPLICATION.products.ParaView' : {tag: '5.11.0', base: 'no', section: 'version_5_11_0_MPI_CO8', hpc: 'yes'}
}
{
}
{
__condition__ : "VARS.dist in ['DB09']"
- 'APPLICATION.products.openturns' : {tag:'1.22', base:'no', section:'version_1_22_DB09'}
+ 'APPLICATION.products.openturns' : {tag:'1.23', base:'no', section:'version_1_23_DB09'}
}
{
__condition__ : "VARS.dist in ['UB18.04']"
if [ "$SAT_Python_IS_NATIVE" == "1" ]; then
if [ $k == "otfmi" ]; then
echo "INFO: install dill-0.3.4"
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/dill-0.3.4/dill-0.3.4-py2.py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
- if [ $? -ne 0 ]
- then
- echo "FATAL: could not install dill-0.3.4"
- exit 6
+ if ! ${PYTHONBIN} -c "import dill"; then
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/dill-0.3.4/dill-0.3.4-py2.py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
+ if [ $? -ne 0 ]
+ then
+ echo "FATAL: could not install dill-0.3.4"
+ exit 6
+ fi
+ else
+ echo "WARNING: dill is already installed"
fi
echo "INFO: install pythonfmu-0.6.3"
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/pythonfmu-0.6.3/pythonfmu-0.6.3-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
- if [ $? -ne 0 ]
- then
- echo "FATAL: could not install pythonfmu-0.6.3"
- exit 6
+ if ! ${PYTOHNBIN} -c "import pythonfmu"; then
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/pythonfmu-0.6.3/pythonfmu-0.6.3-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
+ if [ $? -ne 0 ]
+ then
+ echo "FATAL: could not install pythonfmu-0.6.3"
+ exit 6
+ fi
+ else
+ echo "WARNING: pythonfmu is already innstalled"
fi
elif [ $k == "otpod" ]; then
if [[ $DIST_NAME == "CO" && $DIST_VERSION == "8" && $SAT_Cython_IS_NATIVE == "1" ]]; then
echo "*** skipping: since system Cython too old"
continue
fi
- if [ "${LINUX_DISTRIBUTION}" != "DB10" ]; then
- echo "INFO: install scikit-learn-1.2.2"
- if [ "${PYTHON_VERSION}" == "3.12" ]; then
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/scikit-learn-1.2.2/scikit-learn-1.2.2.tar.gz --no-deps --prefix=$PRODUCT_INSTALL --no-build-isolation --no-use-pep517
+ if ! ${PYTHONBIN} -c "import sklearn"; then
+ if [ "${LINUX_DISTRIBUTION}" != "DB10" ]; then
+ echo "INFO: install scikit-learn-1.2.2"
+ if [ "${PYTHON_VERSION}" == "3.12" ]; then
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/scikit-learn-1.2.2/scikit-learn-1.2.2.tar.gz --no-deps --prefix=$PRODUCT_INSTALL --no-build-isolation --no-use-pep517
+ if [ $? -ne 0 ]
+ then
+ echo "FATAL: could not install scikit-1.2.2"
+ exit 6
+ fi
+ else
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/scikit-learn-1.2.2/scikit_learn-1.2.2-cp${PYTHON_VERSION//./}-cp${PYTHON_VERSION//./}-manylinux_2_17_x86_64.manylinux2014_x86_64.whl --no-deps --prefix=$PRODUCT_INSTALL
+ fi
if [ $? -ne 0 ]
then
echo "FATAL: could not install scikit-1.2.2"
exit 6
fi
- else
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/scikit-learn-1.2.2/scikit_learn-1.2.2-cp${PYTHON_VERSION//./}-cp${PYTHON_VERSION//./}-manylinux_2_17_x86_64.manylinux2014_x86_64.whl --no-deps --prefix=$PRODUCT_INSTALL
- fi
+ else
+ echo "INFO: install scikit-learn-1.0"
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/scikit-learn-1.0/scikit-learn-1.0.tar.gz --no-deps --prefix=$PRODUCT_INSTALL --no-build-isolation --no-use-pep517
+ if [ $? -ne 0 ]
+ then
+ echo "FATAL: could not install scikit-1.0"
+ exit 6
+ fi
+ fi
+ else
+ echo "WARNING: sklearn is already installed"
+ fi
+ echo "INFO: install threadpoolctl-3.0.0"
+ if ! ${PPYTHONBIN} -c "import threadpoolctl"; then
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/threadpoolctl-3.0.0/threadpoolctl-3.0.0-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
if [ $? -ne 0 ]
then
- echo "FATAL: could not install scikit-1.2.2"
+ echo "FATAL: could not install threadpoolctl 3.0.0"
exit 6
fi
else
- echo "INFO: install scikit-learn-1.0"
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/scikit-learn-1.0/scikit-learn-1.0.tar.gz --no-deps --prefix=$PRODUCT_INSTALL --no-build-isolation --no-use-pep517
+ echo "WARNING: threadpoolctl is already installed"
+ fi
+ elif [ $k == "otwrapy" ]; then
+ echo "INFO: install tqdm-4.66.5"
+ if ! ${PYTHONBIN} -c "import tqdm"; then
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/tqdm-4.66.5/tqdm-4.66.5-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
if [ $? -ne 0 ]
then
- echo "FATAL: could not install scikit-1.0"
- exit 6
+ echo "FATAL: could not install tqdm 4.66.5"
+ exit 6
fi
- fi
- echo "INFO: install threadpoolctl-3.0.0"
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/threadpoolctl-3.0.0/threadpoolctl-3.0.0-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
- if [ $? -ne 0 ]
- then
- echo "FATAL: could not install threadpoolctl 3.0.0"
- exit 6
+ else
+ echo "WARNING: tqdm is already installed"
fi
- elif [ $k == "otwrapy" ]; then
- echo "INFO: install tqdm-4.66.5"
- ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/tqdm-4.66.5/tqdm-4.66.5-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
- if [ $? -ne 0 ]
- then
- echo "FATAL: could not install tqdm 4.66.5"
- exit 6
- fi
- fi
+ fi
echo "INFO: check presence of $PRODUCT_INSTALL/local"
if [ -d "$PRODUCT_INSTALL/local" ]; then
echo "INFO: $PRODUCT_INSTALL/local is present - reearrange ..."
echo "FATAL: could not install dill-0.3.4"
exit 5
fi
+ echo "INFO: install pythonfmu-0.6.3"
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/pythonfmu-0.6.3/pythonfmu-0.6.3-py3-none-any.whl --no-deps
+ if [ $? -ne 0 ]
+ then
+ echo "FATAL: could not install pythonfmu-0.6.3"
+ exit 6
+ fi
elif [[ $k == "otpod" ]]; then
echo "INFO: install threadpoolctl-3.0.0"
${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/threadpoolctl-3.0.0/threadpoolctl-3.0.0-py3-none-any.whl --no-deps
exit 6
fi
fi
+ elif [ $k == "otwrapy" ]; then
+ echo "INFO: install tqdm-4.66.5"
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/tqdm-4.66.5/tqdm-4.66.5-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
+ if [ $? -ne 0 ]
+ then
+ echo "FATAL: could not install tqdm 4.66.5"
+ exit 6
+ fi
fi
fi
opt_depend : ['pandas', 'statsmodels', 'patsy']
}
+version_1_23_CO7 :
+{
+ compil_script : "openturns-1.23.sh"
+ depend : ['Python', 'lapack', 'hdf5', 'tbb', 'nlopt', 'libxml2', 'eigen', 'matplotlib', 'cminpack', 'FMILibrary', 'PyFMI', 'boost']
+ opt_depend : ['pandas', 'statsmodels', 'patsy']
+}
+
+version_1_23_CO8 :
+{
+ compil_script : "openturns-1.23.sh"
+ depend : ['Python', 'lapack', 'hdf5', 'tbb', 'nlopt', 'libxml2', 'eigen', 'matplotlib', 'cminpack', 'FMILibrary', 'PyFMI', 'boost']
+ opt_depend : ['pandas', 'statsmodels', 'patsy']
+}
+
+version_1_23_DB09 :
+{
+ compil_script : "openturns-1.23.sh"
+ depend : ['Python', 'lapack', 'hdf5', 'tbb', 'nlopt', 'libxml2', 'eigen', 'matplotlib', 'cminpack', 'FMILibrary', 'PyFMI', 'boost']
+ opt_depend : ['pandas', 'statsmodels', 'patsy']
+}
+
version_1_22 :
{
compil_script : "openturns-1.22.sh"